Retro Rocket Kernel BASIC-Powered Operating System

Data Fields
parameter_block_t Struct Reference

FAT32 BIOS parameter block (BPB), stored in the boot sector of the drive. More...

`#include <fat32.h>`

Collaboration diagram for parameter_block_t:
[legend]

## Data Fields
uint8_t | code1
uint8_t | code2
uint8_t | code3
char | oemidentifier [8]
uint16_t | bytespersector
uint8_t | sectorspercluster
uint16_t | reservedsectors
uint8_t | numberoffats
uint16_t | numberofdirentries
uint16_t | totalsectors
uint8_t | mediatype
uint16_t | unusedsectorsperfat
uint16_t | sectorspertrack
uint16_t | numberofheads
uint32_t | hiddensectors
uint32_t | sectorsonmedia
uint32_t | sectorsperfat
uint16_t | flags
uint16_t | fatversion
uint32_t | rootdircluster
uint16_t | fsinfocluster
uint16_t | backupbootsectorcluster
char | reserved [12]
uint8_t | drivenumber
uint8_t | ntflags
uint8_t | signature
uint32_t | serialnumber
char | volumelabel [11]
char | systemid [9]

## Detailed Description

FAT32 BIOS parameter block (BPB), stored in the boot sector of the drive.

## Field Documentation

## ◆ backupbootsectorcluster

uint16_t parameter_block_t::backupbootsectorcluster

## ◆ bytespersector

uint16_t parameter_block_t::bytespersector

## ◆ code1

uint8_t parameter_block_t::code1

## ◆ code2

uint8_t parameter_block_t::code2

## ◆ code3

uint8_t parameter_block_t::code3

## ◆ drivenumber

uint8_t parameter_block_t::drivenumber

## ◆ fatversion

uint16_t parameter_block_t::fatversion

## ◆ flags

uint16_t parameter_block_t::flags

## ◆ fsinfocluster

uint16_t parameter_block_t::fsinfocluster

## ◆ hiddensectors

uint32_t parameter_block_t::hiddensectors

## ◆ mediatype

uint8_t parameter_block_t::mediatype

## ◆ ntflags

uint8_t parameter_block_t::ntflags

## ◆ numberofdirentries

uint16_t parameter_block_t::numberofdirentries

## ◆ numberoffats

uint8_t parameter_block_t::numberoffats

## ◆ numberofheads

uint16_t parameter_block_t::numberofheads

## ◆ oemidentifier

char parameter_block_t::oemidentifier[8]

## ◆ reserved

char parameter_block_t::reserved[12]

## ◆ reservedsectors

uint16_t parameter_block_t::reservedsectors

## ◆ rootdircluster

uint32_t parameter_block_t::rootdircluster

## ◆ sectorsonmedia

uint32_t parameter_block_t::sectorsonmedia

## ◆ sectorspercluster

uint8_t parameter_block_t::sectorspercluster

## ◆ sectorsperfat

uint32_t parameter_block_t::sectorsperfat

## ◆ sectorspertrack

uint16_t parameter_block_t::sectorspertrack

## ◆ serialnumber

uint32_t parameter_block_t::serialnumber

## ◆ signature

uint8_t parameter_block_t::signature

## ◆ systemid

char parameter_block_t::systemid[9]

## ◆ totalsectors

uint16_t parameter_block_t::totalsectors

## ◆ unusedsectorsperfat

uint16_t parameter_block_t::unusedsectorsperfat

## ◆ volumelabel

char parameter_block_t::volumelabel[11]